#include <Wire.h>
#include "Adafruit_VCNL4010.h"
#include <Adafruit_PWMServoDriver.h>

Adafruit_PWMServoDriver pwm = Adafruit_PWMServoDriver();
Adafruit_VCNL4010 vcnl;

static const int LED1PIN = 8;
static const int LED2PIN = 9;
int incomingByte;
char incomingLetter;

#define SERVOMIN  150 
#define SERVOMAX  600

uint8_t servonum = 0;

void setup() {
  Serial.begin(9600);
 // Serial.println("VCNL4010 test");

  if (! vcnl.begin()){
 //   Serial.println("Sensor not found :(");
    while (1);
  }
//  Serial.println("Found VCNL4010");
  pinMode(LED1PIN, OUTPUT);
  
  pwm.begin();
  
  pwm.setPWMFreq(60);  // Analog servos run at ~60 Hz updates
}

void setServoPulse(uint8_t n, double pulse) {
  double pulselength;
  
  pulselength = 1000000;   // 1,000,000 us per second
  pulselength /= 60;   // 60 Hz
  Serial.print(pulselength); Serial.println(" us per period"); 
  pulselength /= 4096;  // 12 bits of resolution
  Serial.print(pulselength); Serial.println(" us per bit"); 
  pulse *= 1000000;  // convert to us
  pulse /= pulselength;
  Serial.println(pulse);
  pwm.setPWM(n, 0, pulse);
}

void loop() {
   if (vcnl.readAmbient() <= 300){
      Serial.write(vcnl.readAmbient());
      delay(50);
      }
   else if (Serial.available() > 0) {
        incomingByte = Serial.read();
        incomingLetter = (char) incomingByte;
        if (incomingLetter == 'Y') {
            for (uint16_t pulselen = SERVOMIN; pulselen < SERVOMAX; pulselen++) {
              pwm.setPWM(servonum, 0, pulselen);
              }
           for (uint16_t pulselen = SERVOMAX; pulselen > SERVOMIN; pulselen--) {
               pwm.setPWM(servonum, 0, pulselen);
               }
          }
        else {
          digitalWrite(LED1PIN, HIGH);
          delay(200);
          digitalWrite(LED1PIN, LOW);
          }
     }
}
